<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="UTF-8">
  <title>Register</title>
  <link href="/css/register.css" rel="stylesheet" type="text/css">
</head>
<body>
<h1>Register</h1>

<form th:action="@{/register}" th:object="${newuser}" method="POST">
  <div class="input-group">
  <label for="username">Username:</label>
  <input type="text" id="username" th:field="*{username}" required>
  </div>
    <div class="input-group">
  <label for="password">Password:</label>
  <input type="password" id="password" th:field="*{password}" required>
    </div>
      <div class="input-group">
  <label for="role">Role:</label>
  <select id="role" name="role" required>
    <option value="buyer">Buyer</option>
    <option value="seller">Seller</option>
  </select>
      </div>

        <div class="input-group">
  <button type="submit" class="custom-button">Register</button>
        </div>
</form>
<p>Already have an account? <a th:href="loginUser.html"> Login</a></p>
</body>
</html>